import { SvelteComponentTyped } from "svelte";
export interface DatasetJsonLdProps extends JsonLdProps {
    description: string;
    name: string;
    license?: string;
}
import type { JsonLdProps } from './jsonld.js';
declare const __propDef: {
    props: {
        keyOverride?: DatasetJsonLdProps['keyOverride'];
        description: DatasetJsonLdProps['description'];
        name: DatasetJsonLdProps['name'];
        license?: DatasetJsonLdProps['license'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type DatasetProps = typeof __propDef.props;
export type DatasetEvents = typeof __propDef.events;
export type DatasetSlots = typeof __propDef.slots;
export default class Dataset extends SvelteComponentTyped<DatasetProps, DatasetEvents, DatasetSlots> {
}
export {};
