import { SvelteComponentTyped } from "svelte";
export interface LogoJsonLdProps extends JsonLdProps {
    logo: string;
    url: string;
}
import type { JsonLdProps } from './jsonld.js';
declare const __propDef: {
    props: {
        keyOverride?: LogoJsonLdProps['keyOverride'];
        logo: LogoJsonLdProps['logo'];
        url: LogoJsonLdProps['url'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type LogoProps = typeof __propDef.props;
export type LogoEvents = typeof __propDef.events;
export type LogoSlots = typeof __propDef.slots;
export default class Logo extends SvelteComponentTyped<LogoProps, LogoEvents, LogoSlots> {
}
export {};
