import { SvelteComponentTyped } from "svelte";
export interface QAPageJsonLdProps extends JsonLdProps {
    mainEntity: Question;
}
import type { Question } from '../types.js';
import type { JsonLdProps } from './jsonld.js';
declare const __propDef: {
    props: {
        keyOverride?: QAPageJsonLdProps['keyOverride'];
        mainEntity: QAPageJsonLdProps['mainEntity'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type QaPageProps = typeof __propDef.props;
export type QaPageEvents = typeof __propDef.events;
export type QaPageSlots = typeof __propDef.slots;
export default class QaPage extends SvelteComponentTyped<QaPageProps, QaPageEvents, QaPageSlots> {
}
export {};
